### Name: fit.mst
### Title: Fit Multivariate Student t Distribution
### Aliases: fit.mst
### Keywords: methods

### ** Examples

data(DJ);
Ret.DJ <- mk.returns(DJ); 
window1.start <- timeDate("01/01/1993",format="%m/%d/%Y"); 
window1.end <-  timeDate("12/31/2000",format="%m/%d/%Y"); 
sample1 <- (seriesPositions(Ret.DJ) > window1.start 
            & seriesPositions(Ret.DJ) < window1.end); 
selection1 <- c("AXP","EK","BA","C","KO","MSFT",
              "HWP","INTC","JPM","DIS"); 
DJ30daily <- Ret.DJ[sample1,selection1]; 
DJ30weekly <-  aggregateWeeklySeries(DJ30daily, FUNC= colSums); 
mod.t <- fit.mst(DJ30weekly);
## Not run: 
##D mod.GAUSS <- fit.norm(DJ30weekly);
##D mod.NIG <- fit.mNH(DJ30weekly,symmetric=FALSE,case="NIG"); 
##D mod.HYP <- fit.mNH(DJ30weekly,symmetric=FALSE,case="hyp"); 
##D mod.NIGs <- fit.mNH(DJ30weekly,symmetric=TRUE,case="NIG"); 
##D mod.HYPs <- fit.mNH(DJ30weekly,symmetric=TRUE,case="hyp"); 
##D round(c(mod.GAUSS$ll.max,mod.t$ll.max,mod.NIGs$ll.max,
##D     mod.HYPs$ll.max,mod.NIG$ll.max,mod.HYP$ll.max),1); 
## End(Not run)



