### Name: probitnorm
### Title: Probit-Normal Distribution
### Aliases: probitnorm dprobitnorm pprobitnorm rprobitnorm
### Keywords: distribution

### ** Examples

## Not run: 
##D #MODEL RISK See especially Section 8.4.6 on p. 364 of QRM book
##D spdata.raw;
##D attach(spdata.raw);
##D pi.B <- momest(Bdefaults, Bobligors)[1];#one obligor defaulting pi = .04896
##D #second value returned is probability of joint default probability for two firms.
##D pi2.B <- momest(Bdefaults, Bobligors)[2]; #two obligors defaulting jointly pi2 = .0031265
##D #Build 1000 equally-spaced value on unit interval as multiples of .000999; discard 
##D #all values except those below 0.25 because we want to look at the tail, i.e. Q > 0.25 
##D #via the tail function [1 - P(Q <= 0.25)]
##D # Model Risk Experiment
##D # Calibrate a 1-Factor Creditmetrics (probitnormal) model to pi.B and pi2.B for all models:
##D #The following values are shown in Table 8.6, column B, row labeled 'Probit-normal'.  
##D #In other words, find the probitnorm mu and sigma values which give same probabilities as 
##D #momest()
##D probitnorm.pars <- cal.probitnorm(pi.B,pi2.B);
##D probitnorm.pars;
##D q <- (1:1000)/1001;
##D q <- q[q<0.25];
##D # We could also look at mixing densities. Remember that density values for continuous 
##D #variables may exceed 1 since they give an approximation for the change in the cdf value 
##D #as we change the x value. Hence if the cdf increases by 0.2 as we increase x from 0.1 to 
##D #0.2, the density should be about 2.0 (dF(x)/dx).
##D d.probitnorm <- dprobitnorm(q,probitnorm.pars[1],probitnorm.pars[2]);
## End(Not run)



